org.apache.ignite.ml.preprocessing.maxabsscaling

## Class MaxAbsScalerPreprocessor<K,V>

- java.lang.Object
- - org.apache.ignite.ml.preprocessing.maxabsscaling.MaxAbsScalerPreprocessor<K,V>

- Type Parameters:
    `K` - Type of a key in `upstream` data.
    `V` - Type of a value in `upstream` data.
  All Implemented Interfaces:
    Serializable, BiFunction<K,V,LabeledVector>, DeployableObject, IgniteBiFunction<K,V,LabeledVector>, Preprocessor<K,V>

      public final class MaxAbsScalerPreprocessor<K,V>
      extends Object
      implements Preprocessor<K,V>, DeployableObject

  The preprocessing function that makes maxabsscaling, transforms features to the scale `[-1,+1]`. From mathematical point of view it's the following function which is applied to every element in a dataset: `a_i = a_i / maxabs_i for all i`, where `i` is a number of column, `maxabs_i` is the value of the absolute maximum element in this column.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MaxAbsScalerPreprocessor(double[] maxAbs, Preprocessor<K,V> basePreprocessor)` Constructs a new instance of maxabsscaling preprocessor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `LabeledVector` | `apply(K k, V v)` Applies this preprocessor.
    `List<Object>` | `getDependencies()` Returns dependencies of this object that can be object with class defined by client side and unknown for server.
    `double[]` | `getMaxAbs()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.ignite.ml.preprocessing.Preprocessor

      `map`

    - ### Methods inherited from interface org.apache.ignite.ml.math.functions.IgniteBiFunction

      `andThen`

    - ### Methods inherited from interface java.util.function.BiFunction

      `andThen`

- - ### Constructor Detail

    - #### MaxAbsScalerPreprocessor

          public MaxAbsScalerPreprocessor(double[] maxAbs,
                                          Preprocessor<K,V> basePreprocessor)

      Constructs a new instance of maxabsscaling preprocessor.
      Parameters:
        `maxAbs` - Maximal absolute values.
        `basePreprocessor` - Base preprocessor.

  - ### Method Detail

    - #### apply

          public LabeledVector apply(K k,
                                     V v)

      Applies this preprocessor.
      Specified by:
        `apply` in interface `BiFunction<K,V,LabeledVector>`
      Parameters:
        `k` - Key.
        `v` - Value.
      Returns:
        Preprocessed row.

    - #### getMaxAbs

          public double[] getMaxAbs()

    - #### getDependencies

          public List<Object> getDependencies()

      Returns dependencies of this object that can be object with class defined by client side and unknown for server.
      Specified by:
        `getDependencies` in interface `DeployableObject`

2020 Copyright © Apache Software Foundation
| Follow @ApacheIgnite
Ignite Database and Caching Platform | : ver. 2.9.0
Release Date | : October 15 2020